package cn.com.countrygarden.bi.main.dao.dup;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.github.pagehelper.PageRowBounds;
import cn.com.countrygarden.bi.main.model.dup.WeekIncome;

/**
 * 周收入
 * @author pansw
 * 
 */
public interface WeekIncomeMapper {
	
	/**
	 * 查询所有项目名称
	 * @return
	 */
	List<WeekIncome> findAllProject();
	/**
	 * 查询所有区域
	 * @return
	 */
	List<WeekIncome> findAllOrgan();
	/**
	 * 根据项目id查询区域名称
	 */
	List<WeekIncome> findOrgan(Integer[] commmIds);
	
	/**
	 * 根据时间日期查询周收入
	 */
	List<WeekIncome> findWeekIncome(Map<String,Object> map,PageRowBounds pageRowBounds);
	/**
	 *  根据时间日期查询周收入
	 * @param map
	 * @param pageRowBounds
	 * @return
	 */
	List<WeekIncome> findWeekIncome(Map<String,Object> map);
	
}
